Subject: [bug#74736] [PATCH v2 0/1] Add Request-For-Comment process.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 13 Jan 2025 22:17:01 +0100

Hi Hartmut,

Hartmut Goebel <[email-masked]> skribis:

> being late to the discussion, here are my 2 cent. Please apologize if things have already been discussion and decided.

No worries, we still have a bit of time to discuss, thanks for chiming in!

I agree with most of your suggestions/comments.  I’ll just comment where
deserved:

> Section "How the Process Works", number 3: I don't understand "must not be prospective". According to dict.leo.org, "prospective"
> translates in German to adjectives like long-sighted put also to in the future, estimated, likley.

This is meant to suggest (I believe) that the process is not meant as a
way to brainstorm new ideas; instead, it should be applied to ideas that
we roughly know how to implement.

> Section "Roles", Sponsor: "is a contributor" and "should be a contributor". Contributor to the GCD or to Guix? What makes one a
> "contributor"? Is the term defined somewhere else, e.g. in the Guix Manual?

It’s not defined; we can add it to “Roles”.

> Section "Submission Period", Withdrawal and Resubmit: Are there any rules  why or when an author may resubmit the GCD? Is feedback
> like "The idea is good, but a lot of things popped up during discussion, so we need revise the GCD in great parts" a case for this?

It’s up to authors to decide what to do based on the feedback they got
(or lack thereof).  If nobody was willing to sponsor it, then perhaps
it’s a sign that people either disapprove it or are uninterested in it
in its current form.

> Section "Discussion Period": Can the period be extended? What happens if there is still heavy discussion aber 60 days?

It has to be at most 60 days, I think that’s quite clear.

> Section "Deliberate period": IMHO "deliberation" is the wrong term, since the team members send in their votes. I suggest calling it "Voting
> Period", even if someone might argue that in consent based decision making, "deliberation" is the term to use.

I proposed “Voting Period” but we eventually considered that
“Deliberation Period” would better represent what this is.

> Section "Deliberate period":The 25% are to be counted at which valuation date? I propose: 

You propose what? :-)

Thanks,
Ludo’.